MethodInvokingJobDetailFactoryBean.MethodInvokingJob (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.scheduling.quartz

## Class MethodInvokingJobDetailFactoryBean.MethodInvokingJob

- java.lang.Object
- - org.springframework.scheduling.quartz.QuartzJobBean
  - - org.springframework.scheduling.quartz.MethodInvokingJobDetailFactoryBean.MethodInvokingJob

- All Implemented Interfaces:
    Job
  Direct Known Subclasses:
    MethodInvokingJobDetailFactoryBean.StatefulMethodInvokingJob
  Enclosing class:
    MethodInvokingJobDetailFactoryBean

      public static class MethodInvokingJobDetailFactoryBean.MethodInvokingJob
      extends QuartzJobBean

  Quartz Job implementation that invokes a specified method. Automatically applied by MethodInvokingJobDetailFactoryBean.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static Log` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MethodInvokingJobDetailFactoryBean.MethodInvokingJob()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `executeInternal(JobExecutionContext context)` Invoke the method via the MethodInvoker.
    `void` | `setMethodInvoker(MethodInvoker methodInvoker)` Set the MethodInvoker to use.

    - ### Methods inherited from class org.springframework.scheduling.quartz.QuartzJobBean

      `execute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final Log logger

  - ### Constructor Detail

    - #### MethodInvokingJobDetailFactoryBean.MethodInvokingJob

          public MethodInvokingJobDetailFactoryBean.MethodInvokingJob()

  - ### Method Detail

    - #### setMethodInvoker

          public void setMethodInvoker(MethodInvoker methodInvoker)

      Set the MethodInvoker to use.

    - #### executeInternal

          protected void executeInternal(JobExecutionContext context)
                                  throws JobExecutionException

      Invoke the method via the MethodInvoker.
      Specified by:
        `executeInternal` in class `QuartzJobBean`
      Throws:
        `JobExecutionException`
      See Also:
        `QuartzJobBean.execute(org.quartz.JobExecutionContext)`